*
* create a function to round 
*;
proc fcmp outlib=work.myfunc.round;
  function xround100(value);
    return( round(value, 100) );
  endsub; 
run; 


*
* create a format that uses the function
*;
proc format; 
  value xround100x 
    low - high = [ xround100() ]
  ;
run; 

*
* apply the format
*;
proc tabulate data=sashelp.cars format=14.;
  class origin type;
  var invoice;

  table type, origin*(invoice="invoice" invoice="f=xround100x."*f=xround100x.);
run;