/*
 * reading non standard mm yyyy values
 */
proc fcmp outlib=work.myfunc.dates;
  function mm_yyyy_ifmt (datec $);
    length tempString $ 7;
    tempString = translate(datec, "-", ".", "-", ":");
    length tempDate 8;
    tempDate = input(tempString, anydtdte7.);
    return(tempDate);
  endsub;
run;

options cmplib=work.myfunc;

proc format;
  invalue b_mm_yyyy_ifmt
    other = [mm_yyyy_ifmt()]
  ;
run;


data dtest;
  infile cards;
  input
    @1 someDate : $10.
    @1 d_informat : b_mm_yyyy_ifmt.
    @1 d_anydtdte : anydtdte.
  ;
  d_func =  mm_yyyy_ifmt(someDate);
  format d: date9.;
cards;
01.2014
01/2014
13-2011
12-2019
12.2019
12:2019
;

proc print data=dtest;
run;
